## android 20140328-2310

=== debian/changelog ===
android (20140328-2310-0ubuntu2) trusty; urgency=medium

  * audio_hw.c-make-sure-we-don-t-double-free-if-it-s-th.patch:
    - Don't double free if the stream is also part of the primary
      output channel (LP: #1306797)

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Fri, 11 Apr 2014 17:32:15 -0300

android (20140328-2310-0ubuntu1) trusty; urgency=medium

  * New upstream release:
    - Adding support for deb (Nexus 7 2013 Mobile)
    - Fix alignment/sizing issues in the marshalling code for
      GraphicBuffers and Fences

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Sun, 30 Mar 2014 16:59:17 -0300

android (20140320-1352-0ubuntu3) trusty; urgency=medium

  * No change rebuild to pick up new kernels.

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Fri, 28 Mar 2014 15:10:19 -0300

android (20140320-1352-0ubuntu2) trusty; urgency=medium

  * Fixing android arch id for recovery and system images

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Thu, 27 Mar 2014 11:40:04 -0300

android (20140320-1352-0ubuntu1) trusty; urgency=medium

  [ Dimitri John Ledkov ]
  * New upstream release.
  * Enable building x86 emulator images.
  * Drop openjdk build-dependency.

  [ Ricardo Salveti de Araujo ]
  * Fixing recovery's unused-parameters build errors

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Thu, 27 Mar 2014 02:34:37 -0300

android (20140228-2008-0ubuntu2) trusty; urgency=medium

  * No change rebuild to pick up libhybris changes.

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Mon, 03 Mar 2014 15:56:59 -0300

android (20140228-2008-0ubuntu1) trusty; urgency=medium

  * New upstream snapshot:
    - Dropping audio_hw.c-also-releasing-primary_output-with-output.patch,
      merged upstream
    - Reserving blocks for root in /data (LP: #1284629)

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Fri, 28 Feb 2014 18:38:52 -0300

android (20140224-0005-0ubuntu2) trusty; urgency=medium

  * audio_hw.c-also-releasing-primary_output-with-output.patch:
    - Default output is not related by audioflinger, but in our case we
      always start/stop the stream when doing voice calls.

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Fri, 28 Feb 2014 03:17:49 -0300

android (20140224-0005-0ubuntu1) trusty; urgency=medium

  * New upstream snapshot:
    - recovery: Add Ubuntu icons for system image update
    - system-image-upgrader: 4.4.2 has a different format for recovery.fstab

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Sun, 23 Feb 2014 22:05:13 -0300

android (20140222-0129-0ubuntu1) trusty; urgency=medium

  * New upstream snapshot:
    - Adding back the sound files used by camera-app
    - Fixing recovery to have a working mktemp, and setting stdout as
      line buffered by default, to avoid issues with busybox

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Fri, 21 Feb 2014 23:20:22 -0300

android (20140221-0310-0ubuntu1) trusty; urgency=medium

  * New upstream snapshot:
    - Now based on AOSP 4.4.2

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Fri, 21 Feb 2014 02:31:29 -0300

android (20140115-0148-0ubuntu1) trusty; urgency=medium

  * New upstream snapshot:
    - Enabling hwcomposer for grouper

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Wed, 15 Jan 2014 00:42:11 -0200

android (20131202-2236-0ubuntu7) trusty; urgency=medium

  * Splitting emulator package for easier image management.

 -- Sergio Schvezov <sergio.schvezov@canonical.com>  Mon, 06 Jan 2014 23:42:33 -0200

android (20131202-2236-0ubuntu6) trusty; urgency=medium

  * No change rebuild to pick up libhybris changes.

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Mon, 23 Dec 2013 18:32:49 -0200

android (20131202-2236-0ubuntu5) trusty; urgency=low

  * No change rebuild to pick up libhybris changes.

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Thu, 19 Dec 2013 14:43:48 -0200

android (20131202-2236-0ubuntu4) trusty; urgency=low

  * Use openjdk-7.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 18 Dec 2013 11:56:41 +0000

android (20131202-2236-0ubuntu3) trusty; urgency=low

  * Set more RAM in the emulator.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 18 Dec 2013 10:51:32 +0000

android (20131202-2236-0ubuntu2) trusty; urgency=low

  * No change rebuild to pick up linux-goldfish 3.4.0-1.10 (LP: #1260023).

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 11 Dec 2013 19:42:48 +0000

android (20131202-2236-0ubuntu1) trusty; urgency=low

  * New upstream release:
    - Also using sparse system-based images for goldfish

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Mon, 02 Dec 2013 20:48:41 -0200

android (20131128-0457-0ubuntu1) trusty; urgency=low

  * New upstream release:
    - Making brunch (and OTA) compatible with goldfish
  * debian/rules:
    - Handling both the device and product id properly, so we can have just
      one set of rules for all devices

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Thu, 28 Nov 2013 19:07:42 -0200

android (20131126-0210-0ubuntu1) trusty; urgency=low

  * New upstream release:
    - run-emulator.sh: adding support for disk snapshots (LP: #1253802)
    - goldfish: reducing system and userdata image sizes
  * debian/android.install.in: adding the emulator images to the android
    package

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Tue, 26 Nov 2013 00:31:04 -0200

android (20131125-1710-0ubuntu1) trusty; urgency=low

  * New upstream release
    - Fix permissions of system.img and SWAP.img

 -- Stéphane Graber <stgraber@ubuntu.com>  Mon, 25 Nov 2013 13:52:59 -0500

android (20131122-1710-0ubuntu1) trusty; urgency=low

  * New upstream release

 -- Dmitrijs Ledkovs <xnox@ubuntu.com>  Fri, 22 Nov 2013 17:59:46 +0000

android (20131120-0225-0ubuntu3) trusty; urgency=low



=== debian/control ===
Source: android
Section: non-free/otherosfs
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Dmitrijs Ledkovs <xnox@ubuntu.com>
Build-Depends: debhelper (>= 9),
  g++-multilib,
  gcc-arm-linux-androideabi, devscripts,
  gcc-i686-linux-android, dh-exec,
  python3-apt,
  gnupg, flex, bison, gperf,
  zip, unzip, curl, libncurses5-dev, x11proto-core-dev,
  libx11-dev, libreadline6-dev, libgl1-mesa-glx,
  libsdl-dev, libesd0-dev,
  libgl1-mesa-dev, mingw32, tofrodos, bsdiff,
  python-markdown, libxml2-utils, xsltproc, zlib1g-dev, schedtool,
  patchutils, quilt, lsb-release, android-src-vendor (>= 6)
Standards-Version: 3.9.4

Package: android
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: android Ubuntu Touch images
 This is the android portion of Ubuntu Touch images.

Package: android-emulator
Depends: ubuntu-emulator-runtime, ubuntu-emulator-images, ${misc:Depends}
Architecture: all
Section: oldlibs
Description: transitional dummy package
 This is a transitional dummy package. It can safely be removed.

Package: ubuntu-emulator-runtime
Architecture: i386
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}, qemu-utils, libgl1-mesa-glx
Replaces: android-emulator (<< 20131202-2236-0ubuntu7~)
Breaks: android-emulator (<< 20131202-2236-0ubuntu7~)
Description: Ubuntu Touch emulator runtime
 Emulator for the Ubuntu Touch images.
 .
 This package provides the runtime.

Package: ubuntu-emulator-images
Architecture: i386
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}, ubuntu-emulator-runtime (= ${binary:Version})
Replaces: android-emulator (<< 20131202-2236-0ubuntu7~)
Breaks: android-emulator (<< 20131202-2236-0ubuntu7~)
Description: Ubuntu Touch emulator
 Emulator for the Ubuntu Touch images.
 .
 This package provides the images.

Package: android-copyright
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: dummy package with android copyright files
 This is a dummy package shipping android copyright files

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/dpkg/default.mk

export DH_VERBOSE=1

#export http_proxy=http://127.0.9.1:9
#export https_proxy=http://127.0.9.1:9

ifeq ($(wildcard /CurrentlyBuilding),)
MAIN_URL  = http://archive.ubuntu.com/ubuntu
PORTS_URL = http://ports.ubuntu.com
else
MAIN_URL  = http://ftpmaster.internal/ubuntu
PORTS_URL = http://ftpmaster.internal/ubuntu
endif

depends = $(shell chdist --data-dir repo --arch $(call getarch,$(2)) apt-cache $(dist) show linux-image-$(strip $(1)):$(strip $(call getarch,$(2))) | sed -n 's/Depends: .*\(linux-image-.*-$(strip $(1))\).*/\1:$(strip $(call getarch,$(2)))/p')
getproduct = $(shell egrep "^$(1)\s" debian/android-targets | awk -F' ' '{print $$2}')
getkernel = $(shell egrep "^$(1)\s" debian/android-targets | awk -F' ' '{print $$3}')
getarch = $(shell egrep "^$(1)\s" debian/android-targets | awk -F' ' '{print $$4}')

dist=$(DEB_DISTRIBUTION)

export BUILD_ID=$(dist)
export BUILD_NUMBER=$(DEB_VERSION)

DEVICES = $(shell egrep "^[a-z]" debian/android-targets | awk -F' ' '{print $$1}' | xargs echo)
SRC ?= libhybris platform-api

device = $(basename $(notdir $@))

%:
	dh $@

stamps/chdist:
	rm -rf repo
	chdist --data-dir repo --arch armhf create $(dist)
	# armhf
	echo "deb [arch=armhf] $(PORTS_URL) $(dist) main universe restricted multiverse" >> repo/$(dist)/etc/apt/sources.list
	echo "deb-src $(PORTS_URL) $(dist) main universe restricted multiverse" >> repo/$(dist)/etc/apt/sources.list
	echo "deb [arch=armhf] $(PORTS_URL) $(dist)-updates main universe restricted multiverse" >> repo/$(dist)/etc/apt/sources.list
	echo "deb-src $(PORTS_URL) $(dist)-updates main universe restricted multiverse" >> repo/$(dist)/etc/apt/sources.list
	echo "deb [arch=armhf] $(PORTS_URL) $(dist)-proposed main universe restricted multiverse" >> repo/$(dist)/etc/apt/sources.list
	echo "deb-src $(PORTS_URL) $(dist)-proposed main universe restricted multiverse" >> repo/$(dist)/etc/apt/sources.list
	echo "deb [arch=armhf] $(PORTS_URL) $(dist)-security main universe restricted multiverse" >> repo/$(dist)/etc/apt/sources.list
	echo "deb-src $(PORTS_URL) $(dist)-security main universe restricted multiverse" >> repo/$(dist)/etc/apt/sources.list
	# i386
	echo "deb [arch=i386] $(MAIN_URL) $(dist) main universe restricted multiverse" >> repo/$(dist)/etc/apt/sources.list
	echo "deb-src $(MAIN_URL) $(dist) main universe restricted multiverse" >> repo/$(dist)/etc/apt/sources.list
	echo "deb [arch=i386] $(MAIN_URL) $(dist)-updates main universe restricted multiverse" >> repo/$(dist)/etc/apt/sources.list
	echo "deb-src $(MAIN_URL) $(dist)-updates main universe restricted multiverse" >> repo/$(dist)/etc/apt/sources.list
	echo "deb [arch=i386] $(MAIN_URL) $(dist)-proposed main universe restricted multiverse" >> repo/$(dist)/etc/apt/sources.list
	echo "deb-src $(MAIN_URL) $(dist)-proposed main universe restricted multiverse" >> repo/$(dist)/etc/apt/sources.list
	echo "deb [arch=i386] $(MAIN_URL) $(dist)-security main universe restricted multiverse" >> repo/$(dist)/etc/apt/sources.list
	echo "deb-src $(MAIN_URL) $(dist)-security main universe restricted multiverse" >> repo/$(dist)/etc/apt/sources.list
	cat repo/$(dist)/etc/apt/sources.list
	chdist --data-dir $(CURDIR)/repo apt-get $(dist) update
	cd repo/$(dist) && chdist --data-dir $(CURDIR)/repo --arch armhf apt-get $(dist) source $(SRC)
	cd repo/$(dist) && chdist --data-dir $(CURDIR)/repo --arch armhf apt-get $(dist) download ubuntu-touch-generic-initrd:armhf initramfs-tools-ubuntu-touch:armhf
	cd repo/$(dist) && chdist --data-dir $(CURDIR)/repo --arch i386 apt-get $(dist) download ubuntu-touch-generic-initrd:i386 initramfs-tools-ubuntu-touch:i386
	mkdir -p stamps && touch $@

stamps/%.fetch: stamps/chdist
	cd repo/$(dist) && chdist --data-dir $(CURDIR)/repo --arch $(call getarch,$(device)) apt-get $(dist) download $(call depends,$(call getkernel,$(device)),$(device))
	product=$(call getproduct,$(device)); \
	kernel=$(call getkernel,$(device)); \
	if [ "$(device)" != "$$kernel" ]; then \
		cd repo/$(dist) && cp linux-image-*-$${kernel}*_$(strip $(call getarch,$(device))).deb linux-image-3.any-$${product}_$(strip $(call getarch,$(device))).deb; \
	fi;
	mkdir -p stamps && touch $@

stamps/prepare-android: stamps/chdist
	rm -rf ubuntu/libhybris ubuntu/platform-api
	cp -r repo/$(dist)/libhybris-* ubuntu/libhybris
	rm -rf ubuntu/libhybris/.pc
	cp -r repo/$(dist)/platform-api-* ubuntu/platform-api
	rm -rf vendor
	cp -r /usr/src/android/vendor .
	mkdir -p stamps && touch $@

stamps/%.build: SHELL=/bin/bash

stamps/%.build: stamps/prepare-android stamps/%.fetch
	rm -rf out/target/product/$(device)/*.img
	. ./build/envsetup.sh; lunch aosp_$(device)-userdebug; dh_auto_build --parallel -- showcommands
	mkdir -p stamps && touch $@

build: build-arch build-indep

build-arch: stamps/chdist $(DEVICES:%=stamps/%.build)
build-indep:

override_dh_auto_clean:
	rm -rf stamps out repo ubuntu/platform-api ubuntu/libhybris debian/intall vendor
	rm -rf debian/$(DEB_SOURCE).copyright

override_dh_auto_install:

override_dh_install:
	echo "#!/usr/bin/dh-exec" > debian/android.install
	while read target product device uarch aarch; do \
		expr $$target : "^#" > /dev/null && continue; \
		echo "out/target/product/$$product/boot.img => usr/share/android/product/ubuntu-preinstalled-boot-$$uarch+$$product.img" >> debian/android.install; \
		echo "out/target/product/$$product/android-ramdisk.img => usr/share/android/product/ubuntu-android-ramdisk+$$product.img" >> debian/android.install; \
		echo "out/target/product/$$product/recovery.img => usr/share/android/product/ubuntu-preinstalled-recovery-$$aarch+$$product.img" >> debian/android.install; \
		echo "out/target/product/$$product/system.img => usr/share/android/product/ubuntu-preinstalled-system-$$aarch+$$product.img" >> debian/android.install; \
		echo "out/target/product/$$product/ramdisk.img => usr/share/android/product/ubuntu-ramdisk+$$product.img" >> debian/android.install; \
		echo "out/target/product/$$product/ramdisk-recovery.img => usr/share/android/product/ubuntu-ramdisk-recovery+$$product.img" >> debian/android.install; \
	done <debian/android-targets
	chmod +x debian/android.install
	dh_install
	# ubuntu-emulator-runtime
	tar -c \
		out/host/linux-x86/bin/emulator \
		out/host/linux-x86/bin/emulator-* \
		out/host/linux-x86/bin/simg2img \
		out/host/linux-x86/lib/ \
		out/host/linux-x86/usr/ \
		out/host/linux-x86/framework/ \
		development/tools/emulator/skins \
		| tar -C debian/ubuntu-emulator-runtime/usr/share/android/emulator/ -x
	# ubuntu-emulator-images images/data
	tar -c \
		out/target/product/generic/ubuntu/kernel/vmlinuz \
		out/target/product/generic/*.img \
		out/target/product/generic/system/build.prop \
		prebuilts/qemu-kernel/arm/kernel-qemu-armv7 \
		| tar -C debian/ubuntu-emulator-images/usr/share/android/emulator/ -x

override_dh_installdocs:
	make -f debian/rules copyright COPYRIGHT_ALL=True
	dh_installdocs

override_dh_shlibdeps:
	dh_shlibdeps
	sed -i -e 's/libc6-amd64/libc6:amd64/' debian/ubuntu-emulator-runtime.substvars
	sed -i -e 's/lib64stdc++6/libstdc++6:amd64/' debian/ubuntu-emulator-runtime.substvars

SOURCES=$(filter-out debian prebuilts vendor, $(wildcard *)) prebuilts/qemu-kernel/*/LINUX_KERNEL_COPYING

get-orig-source:
	fakeroot ./debian/rules clean
	make -f debian/rules copyright
	-quilt pop -a -f
	tar --exclude-vcs --transform='s,^,$(DEB_SOURCE)-$(DEB_VERSION_UPSTREAM)/,S' -caf ../$(DEB_SOURCE)_$(DEB_VERSION_UPSTREAM).orig.tar.xz $(SOURCES)

copyright:
	cp debian/copyright.header debian/copyright
	find $(if $(COPYRIGHT_ALL),.,$(SOURCES)) -name NOTICE | xargs -L1 ./debian/notice.sh >> $(if $(COPYRIGHT_ALL),debian/$(DEB_SOURCE).copyright,debian/copyright)
	$(if $(COPYRIGHT_ALL),cp debian/$(DEB_SOURCE).copyright debian/android-copyright.copyright)

.PHONY: build build-arch build-indep get-orig-source copyright

=== debian/watch ===
version=3
http://phablet.ubuntu.com/export/android-(\d+-\d+)\.tar\.xz

## android 20140922

=== build/core/Makefile ===
# Put some miscellaneous rules here

# Pick a reasonable string to use to identify files.
ifneq "" "$(filter eng.%,$(BUILD_NUMBER))"
  # BUILD_NUMBER has a timestamp in it, which means that
  # it will change every time.  Pick a stable value.
  FILE_NAME_TAG := eng.$(USER)
else
  FILE_NAME_TAG := $(BUILD_NUMBER)
endif

is_tests_build := $(filter tests,$(MAKECMDGOALS))

# -----------------------------------------------------------------
# Define rules to copy PRODUCT_COPY_FILES defined by the product.
# PRODUCT_COPY_FILES contains words like <source file>:<dest file>[:<owner>].
# <dest file> is relative to $(PRODUCT_OUT), so it should look like,
# e.g., "system/etc/file.xml".
# The filter part means "only eval the copy-one-file rule if this
# src:dest pair is the first one to match the same dest"
#$(1): the src:dest pair
define check-product-copy-files
$(if $(filter %.apk, $(1)),$(error \
    Prebuilt apk found in PRODUCT_COPY_FILES: $(1), use BUILD_PREBUILT instead!))
endef
# filter out the duplicate <source file>:<dest file> pairs.
unique_product_copy_files_pairs :=
$(foreach cf,$(PRODUCT_COPY_FILES), \
    $(if $(filter $(unique_product_copy_files_pairs),$(cf)),,\
        $(eval unique_product_copy_files_pairs += $(cf))))
unique_product_copy_files_destinations :=
$(foreach cf,$(unique_product_copy_files_pairs), \
    $(eval _src := $(call word-colon,1,$(cf))) \
    $(eval _dest := $(call word-colon,2,$(cf))) \
    $(call check-product-copy-files,$(cf)) \
    $(if $(filter $(unique_product_copy_files_destinations),$(_dest)), \
        $(info PRODUCT_COPY_FILES $(cf) ignored.), \
        $(eval _fulldest := $(call append-path,$(PRODUCT_OUT),$(_dest))) \
        $(if $(filter %.xml,$(_dest)),\
            $(eval $(call copy-xml-file-checked,$(_src),$(_fulldest))),\
            $(eval $(call copy-one-file,$(_src),$(_fulldest)))) \
        $(eval ALL_DEFAULT_INSTALLED_MODULES += $(_fulldest)) \
        $(eval unique_product_copy_files_destinations += $(_dest))))
unique_product_copy_files_pairs :=
unique_product_copy_files_destinations :=

# -----------------------------------------------------------------
# docs/index.html
ifeq (,$(TARGET_BUILD_APPS))
gen := $(OUT_DOCS)/index.html
ALL_DOCS += $(gen)
$(gen): frameworks/base/docs/docs-redirect-index.html
	@mkdir -p $(dir $@)
	@cp -f $< $@
endif

# -----------------------------------------------------------------
# default.prop
INSTALLED_DEFAULT_PROP_TARGET := $(TARGET_ROOT_OUT)/default.prop
ALL_DEFAULT_INSTALLED_MODULES += $(INSTALLED_DEFAULT_PROP_TARGET)
ADDITIONAL_DEFAULT_PROPERTIES := \
    $(call collapse-pairs, $(ADDITIONAL_DEFAULT_PROPERTIES))
ADDITIONAL_DEFAULT_PROPERTIES += \
    $(call collapse-pairs, $(PRODUCT_DEFAULT_PROPERTY_OVERRIDES))
ADDITIONAL_DEFAULT_PROPERTIES := $(call uniq-pairs-by-first-component, \
    $(ADDITIONAL_DEFAULT_PROPERTIES),=)

$(INSTALLED_DEFAULT_PROP_TARGET):
	@echo Target buildinfo: $@
	@mkdir -p $(dir $@)
	$(hide) echo "#" > $@; \
	        echo "# ADDITIONAL_DEFAULT_PROPERTIES" >> $@; \
	        echo "#" >> $@;
	$(hide) $(foreach line,$(ADDITIONAL_DEFAULT_PROPERTIES), \
		echo "$(line)" >> $@;)
	build/tools/post_process_props.py $@

# -----------------------------------------------------------------
# build.prop
INSTALLED_BUILD_PROP_TARGET := $(TARGET_OUT)/build.prop
ALL_DEFAULT_INSTALLED_MODULES += $(INSTALLED_BUILD_PROP_TARGET)
ADDITIONAL_BUILD_PROPERTIES := \
    $(call collapse-pairs, $(ADDITIONAL_BUILD_PROPERTIES))
ADDITIONAL_BUILD_PROPERTIES := $(call uniq-pairs-by-first-component, \
    $(ADDITIONAL_BUILD_PROPERTIES),=)

# A list of arbitrary tags describing the build configuration.
# Force ":=" so we can use +=
BUILD_VERSION_TAGS := $(BUILD_VERSION_TAGS)
ifeq ($(TARGET_BUILD_TYPE),debug)
  BUILD_VERSION_TAGS += debug
endif
# The "test-keys" tag marks builds signed with the old test keys,
# which are available in the SDK.  "dev-keys" marks builds signed with
# non-default dev keys (usually private keys from a vendor directory).
# Both of these tags will be removed and replaced with "release-keys"
# when the target-files is signed in a post-build step.
ifeq ($(DEFAULT_SYSTEM_DEV_CERTIFICATE),build/target/product/security/testkey)
BUILD_KEYS := test-keys
else
BUILD_KEYS := dev-keys
endif
BUILD_VERSION_TAGS += $(BUILD_KEYS)
BUILD_VERSION_TAGS := $(subst $(space),$(comma),$(sort $(BUILD_VERSION_TAGS)))

# A human-readable string that descibes this build in detail.
build_desc := $(TARGET_PRODUCT)-$(TARGET_BUILD_VARIANT) $(PLATFORM_VERSION) $(BUILD_ID) $(BUILD_NUMBER) $(BUILD_VERSION_TAGS)
$(INSTALLED_BUILD_PROP_TARGET): PRIVATE_BUILD_DESC := $(build_desc)

# The string used to uniquely identify this build;  used by the OTA server.
ifeq (,$(strip $(BUILD_FINGERPRINT)))
  BUILD_FINGERPRINT := $(PRODUCT_BRAND)/$(TARGET_PRODUCT)/$(TARGET_DEVICE):$(PLATFORM_VERSION)/$(BUILD_ID)/$(BUILD_NUMBER):$(TARGET_BUILD_VARIANT)/$(BUILD_VERSION_TAGS)
endif
ifneq ($(words $(BUILD_FINGERPRINT)),1)
  $(error BUILD_FINGERPRINT cannot contain spaces: "$(BUILD_FINGERPRINT)")
endif

# Display parameters shown under Settings -> About Phone
ifeq ($(TARGET_BUILD_VARIANT),user)
  # User builds should show:
  # release build number or branch.buld_number non-release builds

  # Dev. branches should have DISPLAY_BUILD_NUMBER set
  ifeq "true" "$(DISPLAY_BUILD_NUMBER)"
    BUILD_DISPLAY_ID := $(BUILD_ID).$(BUILD_NUMBER) $(BUILD_KEYS)
  else
    BUILD_DISPLAY_ID := $(BUILD_ID) $(BUILD_KEYS)
  endif
else
  # Non-user builds should show detailed build information
  BUILD_DISPLAY_ID := $(build_desc)
endif

# Whether there is default locale set in PRODUCT_PROPERTY_OVERRIDES
product_property_override_locale_language := $(strip \
    $(patsubst ro.product.locale.language=%,%,\
    $(filter ro.product.locale.language=%,$(PRODUCT_PROPERTY_OVERRIDES))))
product_property_overrides_locale_region := $(strip \
    $(patsubst ro.product.locale.region=%,%,\
    $(filter ro.product.locale.region=%,$(PRODUCT_PROPERTY_OVERRIDES))))

# Selects the first locale in the list given as the argument,
# and splits it into language and region, which each may be
# empty.
define default-locale
$(subst _, , $(firstword $(1)))
endef

# Selects the first locale in the list given as the argument
# and returns the language (or the region), if it's not set in PRODUCT_PROPERTY_OVERRIDES;
# Return empty string if it's already set in PRODUCT_PROPERTY_OVERRIDES.
define default-locale-language
$(if $(product_property_override_locale_language),,$(word 1, $(call default-locale, $(1))))
endef
define default-locale-region
$(if $(product_property_overrides_locale_region),,$(word 2, $(call default-locale, $(1))))
endef

BUILDINFO_SH := build/tools/buildinfo.sh

ifdef TARGET_SYSTEM_PROP
system_prop_file := $(TARGET_SYSTEM_PROP)
else
system_prop_file := $(wildcard $(TARGET_DEVICE_DIR)/system.prop)
endif

$(INSTALLED_BUILD_PROP_TARGET): $(BUILDINFO_SH) $(INTERNAL_BUILD_ID_MAKEFILE) $(BUILD_SYSTEM)/version_defaults.mk $(system_prop_file)
	@echo Target buildinfo: $@
	@mkdir -p $(dir $@)
	$(hide) TARGET_BUILD_TYPE="$(TARGET_BUILD_VARIANT)" \
			TARGET_DEVICE="$(TARGET_DEVICE)" \
			PRODUCT_NAME="$(TARGET_PRODUCT)" \
			PRODUCT_BRAND="$(PRODUCT_BRAND)" \
			PRODUCT_DEFAULT_LANGUAGE="$(call default-locale-language,$(PRODUCT_LOCALES))" \
			PRODUCT_DEFAULT_REGION="$(call default-locale-region,$(PRODUCT_LOCALES))" \
			PRODUCT_DEFAULT_WIFI_CHANNELS="$(PRODUCT_DEFAULT_WIFI_CHANNELS)" \
			PRODUCT_MODEL="$(PRODUCT_MODEL)" \
			PRODUCT_MANUFACTURER="$(PRODUCT_MANUFACTURER)" \
			PRIVATE_BUILD_DESC="$(PRIVATE_BUILD_DESC)" \
			BUILD_ID="$(BUILD_ID)" \
			BUILD_DISPLAY_ID="$(BUILD_DISPLAY_ID)" \
			BUILD_NUMBER="$(BUILD_NUMBER)" \
			PLATFORM_VERSION="$(PLATFORM_VERSION)" \
			PLATFORM_SDK_VERSION="$(PLATFORM_SDK_VERSION)" \
			PLATFORM_VERSION_CODENAME="$(PLATFORM_VERSION_CODENAME)" \
			BUILD_VERSION_TAGS="$(BUILD_VERSION_TAGS)" \
			TARGET_BOOTLOADER_BOARD_NAME="$(TARGET_BOOTLOADER_BOARD_NAME)" \
			BUILD_FINGERPRINT="$(BUILD_FINGERPRINT)" \
			TARGET_BOARD_PLATFORM="$(TARGET_BOARD_PLATFORM)" \
			TARGET_CPU_ABI="$(TARGET_CPU_ABI)" \
			TARGET_CPU_ABI2="$(TARGET_CPU_ABI2)" \
			TARGET_AAPT_CHARACTERISTICS="$(TARGET_AAPT_CHARACTERISTICS)" \
	        bash $(BUILDINFO_SH) > $@
	$(hide) $(foreach file,$(system_prop_file), \
		if [ -f "$(file)" ]; then \
			echo "#" >> $@; \
			echo Target buildinfo from: "$(file)"; \
			echo "# from $(file)" >> $@; \
			echo "#" >> $@; \
			cat $(file) >> $@; \
		fi;)
	$(if $(ADDITIONAL_BUILD_PROPERTIES), \
		$(hide) echo >> $@; \
		        echo "#" >> $@; \
		        echo "# ADDITIONAL_BUILD_PROPERTIES" >> $@; \
		        echo "#" >> $@; )
	$(hide) $(foreach line,$(ADDITIONAL_BUILD_PROPERTIES), \
		echo "$(line)" >> $@;)
	$(hide) build/tools/post_process_props.py $@

build_desc :=

# -----------------------------------------------------------------
# sdk-build.prop
#
# There are certain things in build.prop that we don't want to
# ship with the sdk; remove them.

# This must be a list of entire property keys followed by
# "=" characters, without any internal spaces.
sdk_build_prop_remove := \
	ro.build.user= \
	ro.build.host= \
	ro.product.brand= \
	ro.product.manufacturer= \
	ro.product.device=
# TODO: Remove this soon-to-be obsolete property
sdk_build_prop_remove += ro.build.product=
INSTALLED_SDK_BUILD_PROP_TARGET := $(PRODUCT_OUT)/sdk/sdk-build.prop
$(INSTALLED_SDK_BUILD_PROP_TARGET): $(INSTALLED_BUILD_PROP_TARGET)
	@echo SDK buildinfo: $@
	@mkdir -p $(dir $@)
	$(hide) grep -v "$(subst $(space),\|,$(strip \
				$(sdk_build_prop_remove)))" $< > $@.tmp
	$(hide) for x in $(sdk_build_prop_remove); do \
				echo "$$x"generic >> $@.tmp; done
	$(hide) mv $@.tmp $@

# -----------------------------------------------------------------
# package stats
PACKAGE_STATS_FILE := $(PRODUCT_OUT)/package-stats.txt
PACKAGES_TO_STAT := \
    $(sort $(filter $(TARGET_OUT)/% $(TARGET_OUT_DATA)/%, \
	$(filter %.jar %.apk, $(ALL_DEFAULT_INSTALLED_MODULES))))
$(PACKAGE_STATS_FILE): $(PACKAGES_TO_STAT)
	@echo Package stats: $@
	@mkdir -p $(dir $@)
	$(hide) rm -f $@
	$(hide) build/tools/dump-package-stats $^ > $@

.PHONY: package-stats
package-stats: $(PACKAGE_STATS_FILE)

# -----------------------------------------------------------------
# Cert-to-package mapping.  Used by the post-build signing tools.
# Use a macro to add newline to each echo command
define _apkcerts_echo_with_newline
$(hide) echo $(1)

endef

name := $(TARGET_PRODUCT)
ifeq ($(TARGET_BUILD_TYPE),debug)
  name := $(name)_debug
endif
name := $(name)-apkcerts-$(FILE_NAME_TAG)
intermediates := \
	$(call intermediates-dir-for,PACKAGING,apkcerts)
APKCERTS_FILE := $(intermediates)/$(name).txt
# We don't need to really build all the modules.
# TODO: rebuild APKCERTS_FILE if any app change its cert.
$(APKCERTS_FILE):
	@echo APK certs list: $@
	@mkdir -p $(dir $@)
	@rm -f $@
	$(foreach p,$(PACKAGES),\
	  $(if $(PACKAGES.$(p).EXTERNAL_KEY),\
	    $(call _apkcerts_echo_with_newline,\
	      'name="$(p).apk" certificate="EXTERNAL" \
	      private_key=""' >> $@),\
	    $(call _apkcerts_echo_with_newline,\
	      'name="$(p).apk" certificate="$(PACKAGES.$(p).CERTIFICATE)" \
	      private_key="$(PACKAGES.$(p).PRIVATE_KEY)"' >> $@)))
	# In case value of PACKAGES is empty.
	$(hide) touch $@

.PHONY: apkcerts-list
apkcerts-list: $(APKCERTS_FILE)

ifneq (,$(TARGET_BUILD_APPS))
  $(call dist-for-goals, apps_only, $(APKCERTS_FILE):apkcerts.txt)
endif

# -----------------------------------------------------------------
# module info file
ifdef CREATE_MODULE_INFO_FILE
  MODULE_INFO_FILE := $(PRODUCT_OUT)/module-info.txt
  $(info Generating $(MODULE_INFO_FILE)...)
  $(shell rm -f $(MODULE_INFO_FILE))
  $(foreach m,$(ALL_MODULES), \
    $(shell echo "NAME=\"$(m)\"" \
	"PATH=\"$(strip $(ALL_MODULES.$(m).PATH))\"" \
	"TAGS=\"$(strip $(filter-out _%,$(ALL_MODULES.$(m).TAGS)))\"" \
	"BUILT=\"$(strip $(ALL_MODULES.$(m).BUILT))\"" \
	"INSTALLED=\"$(strip $(ALL_MODULES.$(m).INSTALLED))\"" >> $(MODULE_INFO_FILE)))
endif

=== ubuntu/platform-api/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)

project(ubuntu-platform-api)

set(UBUNTU_PLATFORM_API_VERSION_MAJOR 2)
set(UBUNTU_PLATFORM_API_VERSION_MINOR 3)
set(UBUNTU_PLATFORM_API_VERSION_PATCH 0)

set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fvisibility=hidden")

if (CMAKE_BUILD_TYPE MATCHES [cC][oO][vV][eE][rR][aA][gG][eE])
  set(CMAKE_GCOV gcov)
  SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -ftest-coverage -fprofile-arcs" )
  SET(CMAKE_MODULE_LINKER_FLAGS "${CMAKE_MODULE_LINKER_FLAGS} -ftest-coverage -fprofile-arcs" )
  SET(CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -ftest-coverage -fprofile-arcs" )
endif (CMAKE_BUILD_TYPE MATCHES [cC][oO][vV][eE][rR][aA][gG][eE])

set(BIN_INSTALL_DIR bin)
set(LIB_INSTALL_DIR lib/${CMAKE_LIBRARY_ARCHITECTURE})

set(INSTALL_TARGETS_DEFAULT_ARGS RUNTIME DESTINATION "${BIN_INSTALL_DIR}"
                                 LIBRARY DESTINATION "${LIB_INSTALL_DIR}"
                                 ARCHIVE DESTINATION "${LIB_INSTALL_DIR}")

#### Detect if we have got gles2, and fall back to plain gl if not ####
set(UBUNTU_PLATFORM_API_HAVE_GLES2 0)

find_path(
  GLES2_INCLUDE_PATH
  GLES2/gl2.h
)

if (GLES2_INCLUDE_PATH)
  message(STATUS "GLES2 found in ${GLES2_INCLUDE_PATH}")
  set(UBUNTU_PLATFORM_API_HAVE_GLES2 1)
else (GLES2_INCLUDE_PATH)
  message(STATUS "GLES2 not found, falling back to plain GL")
endif (GLES2_INCLUDE_PATH)
#### Detect if we have got gles2, and fall back to plain gl if not ####

#### Detect if we have EGL/egl.h, and bail out if not ####
find_path(
  EGL_INCLUDE_PATH
  EGL/egl.h
)

if (NOT EGL_INCLUDE_PATH)
  message(ERROR EGL not found)
else (NOT EGL_INCLUDE_PATH)
  message(STATUS "EGL found in ${EGL_INCLUDE_PATH}")
endif (NOT EGL_INCLUDE_PATH)
#### Detect if we have EGL/egl.h, and bail out if not ####

option(
  ENABLE_HYBRIS_IMPLEMENTATION
  "Enable hybris based platform API implementation"
  ON
)

find_package(PkgConfig)
pkg_check_modules(MIRSERVER REQUIRED mirserver)
pkg_check_modules(MIRCLIENT REQUIRED mirclient)

find_package(Protobuf REQUIRED)
if(PROTOBUF_PROTOC_EXECUTABLE STREQUAL "PROTOBUF_PROTOC_EXECUTABLE-NOTFOUND")
  message(SEND_ERROR "protoc executable not found! Missing protobuf-compiler package?")
endif()

# Try to find hybris, and disable hybris from build if not found
find_library(Hybris
  NAMES hybris-common
)

if(NOT Hybris)
  message(STATUS "Notice: libhybris-common.so not found, disabling hybris support")
  set(ENABLE_HYBRIS_IMPLEMENTATION OFF)
endif()

include_directories(include)
include_directories(android/include)

add_subdirectory(data/)
add_subdirectory(doc/)
add_subdirectory(include/)
add_subdirectory(src/)
add_subdirectory(examples/)

#### Enable tests
include(CTest)
set(GTEST_ROOT /usr/src/gtest)
add_subdirectory(tests/)
add_subdirectory(${GTEST_ROOT} ${CMAKE_CURRENT_BINARY_DIR}/gtest)

=== ubuntu/platform-api/src/ubuntu/application/common/mirclient/CMakeLists.txt ===
protobuf_generate_cpp(
  GENERATED_PROTOBUF_SRCS GENERATED_PROTOBUF_HDRS
  unityrpc.proto
)

set(SOURCES
  ubuntu_application_api_mirclient.cpp
  application_instance_mirclient.cpp
  window_properties_mirclient.cpp
  window_mirclient.cpp
  ${GENERATED_PROTOBUF_SRCS}
)

set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} --std=c++11 -fPIC")

include_directories(
    ${CMAKE_BINARY_DIR}/include
    ${MIRCLIENT_INCLUDE_DIRS}
    ${PROTOBUF_INCLUDE_DIRS}
    ${CMAKE_CURRENT_BINARY_DIR}
)

add_library(
	ubuntu_application_api_mirclient STATIC
	${SOURCES}
)

target_link_libraries(
  ubuntu_application_api_mirclient

  ${MIRCLIENT_LDFLAGS} ${MIRCLIENT_LIBRARIES}
  ${PROTOBUF_LIBRARIES}
)

## android 20140922-1903

=== debian/changelog ===
android (20140922-1903-0ubuntu4) utopic; urgency=medium

  * No change rebuild to pick up libhybris changes.

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Fri, 17 Oct 2014 10:52:37 -0300

android (20140922-1903-0ubuntu3) utopic; urgency=medium

  * No change rebuild to pick up initramfs changes.

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Thu, 25 Sep 2014 23:25:02 -0300

android (20140922-1903-0ubuntu2) utopic; urgency=medium

  * No change rebuild to pick up latest kernel packages.

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Tue, 23 Sep 2014 00:01:06 -0300

android (20140922-1903-0ubuntu1) utopic; urgency=medium

  * New upstream snapshot:
   - Removing workaround to force adb while booting, as that's now handled
     by the developer mode.

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Mon, 22 Sep 2014 16:54:45 -0300

android (20140902-2009-0ubuntu3) utopic; urgency=medium

  * No change rebuild to pick up initramfs changes.

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Fri, 19 Sep 2014 01:19:03 -0300

android (20140902-2009-0ubuntu2) utopic; urgency=medium

  * No change rebuild to pick up initramfs changes.

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Tue, 16 Sep 2014 13:15:45 -0300

android (20140902-2009-0ubuntu1) utopic; urgency=medium

  * New upstream release:
   - Dropping patches that are already upstream
   - Enabling recovery option to set up the password when flashing

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Tue, 02 Sep 2014 19:32:47 -0300

android (20140806-1958-0ubuntu2) utopic; urgency=medium

  * goldfish-egl-initial-support-for-surface-resize.patch:
    - Initial support for surface resize (LP: #1351097)

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Mon, 11 Aug 2014 00:11:26 -0300

android (20140806-1958-0ubuntu1) utopic; urgency=medium

  * New upstream release:
   - Migrating record thread logic from hybris to frameworks/av

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Wed, 06 Aug 2014 18:04:10 -0300

android (20140805-2156-0ubuntu1) utopic; urgency=medium

  * New upstream release:
   - Adding support for video decoding with audio (via camera-service) and
     pulseaudio

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Tue, 05 Aug 2014 22:01:54 -0300

android (20140805-0353-0ubuntu3) utopic; urgency=medium

  * debian/control: adding missing g++-4.8-multilib

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Tue, 05 Aug 2014 05:42:40 -0300

android (20140805-0353-0ubuntu2) utopic; urgency=medium

  * Build host tools and binaries with gcc 4.8 by default to avoid
    unexpected issues

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Tue, 05 Aug 2014 04:55:03 -0300

android (20140805-0353-0ubuntu1) utopic; urgency=medium

  * Disable constant healthd kernel log updates
  * Sync latest apns-conf from AOSP
  * Adding giffgaff apns entry (LP: #1352247)
  * Updating upstart-property-watcher to use a hashmap

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Tue, 05 Aug 2014 01:56:01 -0300

android (20140728-0202-0ubuntu1) utopic; urgency=medium

  * New upstream release:
   - Adding sdcard support for the emulator

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Sun, 27 Jul 2014 23:42:38 -0300

android (20140724-0552-0ubuntu1) utopic; urgency=medium

  * New upstream release:
   - Fix BufferQueue ABI to work with precompiled modules
   - Including build for hammerhead

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Thu, 24 Jul 2014 19:36:48 -0300

android (20140716-2026-0ubuntu1) utopic; urgency=medium

  * New upstream release:
   - Decreasing swap from 512MB to 32MB
   - Enabling swap while flashing via recovery
   - Adding ubuntu device specific configs for flo and hammerhead

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Wed, 16 Jul 2014 20:46:16 -0300

android (20140624-1505-0ubuntu5) utopic; urgency=medium

  * No change rebuild to pick up libhybris changes.

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Tue, 15 Jul 2014 13:39:37 -0300

android (20140624-1505-0ubuntu4) utopic; urgency=medium

  * No change rebuild to pick up libhybris changes.

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Fri, 11 Jul 2014 13:20:48 -0300

android (20140624-1505-0ubuntu3) utopic; urgency=medium

  * No change rebuild to pick up libhybris changes.

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Tue, 08 Jul 2014 20:09:39 -0300

android (20140624-1505-0ubuntu2) utopic; urgency=medium

  * No change rebuild to pick up latest kernel packages.

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Mon, 07 Jul 2014 19:51:24 -0300

android (20140624-1505-0ubuntu1) utopic; urgency=medium

  * New upstream release:
   - Recovery:
     - Renaming system image to ubuntu.img
     - Removing options that are not used by ubuntu
   - Adding fstab for emulator's recovery
   - Adding camera_service (for camera recording)
   - Fixing user permission for leds

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Tue, 24 Jun 2014 16:39:21 -0300

android (20140529-0510-0ubuntu4) utopic; urgency=medium

  * Adding allow-unauthenticated in case building in a PPA

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Fri, 20 Jun 2014 13:56:11 -0300

android (20140529-0510-0ubuntu3) utopic; urgency=medium

  * No change rebuild to pick up platform-api changes.

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Fri, 20 Jun 2014 12:44:39 -0300

android (20140529-0510-0ubuntu2) utopic; urgency=medium

  * debian/patches/0001-apns-conf-fixing-system-output-path.patch:
    - Fixing apns-conf file path in /system

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Thu, 29 May 2014 18:50:06 +0200



=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Dmitrijs Ledkovs <xnox@ubuntu.com>
 Build-Depends: debhelper (>= 9),
-  g++-multilib,
+  g++-multilib, g++-4.8-multilib, gcc-4.8, g++-4.8,
   gcc-arm-linux-androideabi, devscripts,
   gcc-i686-linux-android, dh-exec,
   python3-apt,

=== debian/rules ===
--- 
+++ 
@@ -8,6 +8,8 @@
 #export http_proxy=http://127.0.9.1:9
 #export https_proxy=http://127.0.9.1:9
 
+# Required when landing via a silo
+LANDING_URL = http://ppa.launchpad.net/ci-train-ppa-service/landing-003/ubuntu
 ifeq ($(wildcard /CurrentlyBuilding),)
 MAIN_URL  = http://archive.ubuntu.com/ubuntu
 PORTS_URL = http://ports.ubuntu.com
@@ -55,9 +57,12 @@
 	echo "deb-src $(MAIN_URL) $(dist)-proposed main universe restricted multiverse" >> repo/$(dist)/etc/apt/sources.list
 	echo "deb [arch=i386] $(MAIN_URL) $(dist)-security main universe restricted multiverse" >> repo/$(dist)/etc/apt/sources.list
 	echo "deb-src $(MAIN_URL) $(dist)-security main universe restricted multiverse" >> repo/$(dist)/etc/apt/sources.list
+	# Landing PPA
+	echo "deb [arch=armhf,i386] $(LANDING_URL) $(dist) main" >> repo/$(dist)/etc/apt/sources.list
+	echo "deb-src $(LANDING_URL) $(dist) main" >> repo/$(dist)/etc/apt/sources.list
 	cat repo/$(dist)/etc/apt/sources.list
 	chdist --data-dir $(CURDIR)/repo apt-get $(dist) update
-	cd repo/$(dist) && chdist --data-dir $(CURDIR)/repo --arch armhf apt-get $(dist) source $(SRC)
+	cd repo/$(dist) && chdist --data-dir $(CURDIR)/repo --arch armhf apt-get $(dist) --allow-unauthenticated source $(SRC)
 	cd repo/$(dist) && chdist --data-dir $(CURDIR)/repo --arch armhf apt-get $(dist) download ubuntu-touch-generic-initrd:armhf initramfs-tools-ubuntu-touch:armhf
 	cd repo/$(dist) && chdist --data-dir $(CURDIR)/repo --arch i386 apt-get $(dist) download ubuntu-touch-generic-initrd:i386 initramfs-tools-ubuntu-touch:i386
 	mkdir -p stamps && touch $@
@@ -148,7 +153,3 @@
 
 copyright:
 	cp debian/copyright.header debian/copyright
-	find $(if $(COPYRIGHT_ALL),.,$(SOURCES)) -name NOTICE | xargs -L1 ./debian/notice.sh >> $(if $(COPYRIGHT_ALL),debian/$(DEB_SOURCE).copyright,debian/copyright)
-	$(if $(COPYRIGHT_ALL),cp debian/$(DEB_SOURCE).copyright debian/android-copyright.copyright)
-
-.PHONY: build build-arch build-indep get-orig-source copyright

## android 20141117-0039

=== debian/changelog ===
android (20141117-0039-0ubuntu11) vivid; urgency=medium

  * Replace obsolete mingw32 build-dep with g++-mingw-w64-i686 instead.

 -- Adam Conrad <adconrad@ubuntu.com>  Sun, 08 Feb 2015 23:24:10 -0700

android (20141117-0039-0ubuntu10) vivid; urgency=medium

  * recovery-add-factory_wipe-enable-toggle-to-support-s.patch:
    - Add factory_wipe enable toggle to support special mode

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Sat, 07 Feb 2015 00:38:15 -0200

android (20141117-0039-0ubuntu9) vivid; urgency=medium

  * No change rebuild to pick up platform-api changes.

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Wed, 28 Jan 2015 17:00:09 -0200

android (20141117-0039-0ubuntu8) vivid; urgency=medium

  * No change rebuild to pick up initramfs changes.

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Sat, 24 Jan 2015 19:34:34 -0200

android (20141117-0039-0ubuntu7) vivid; urgency=medium

  * No change rebuild to pick up latest kernel packages.

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Tue, 20 Jan 2015 20:01:08 -0200

android (20141117-0039-0ubuntu6) vivid; urgency=medium

  * No change rebuild to pick up libhybris changes.

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Thu, 15 Jan 2015 00:50:27 -0200

android (20141117-0039-0ubuntu5) vivid; urgency=medium

  [ Ricardo Mendoza ]
  * debian/patches/emulator-Release-GL-and-thread-resources-owned-by.patch
    - Releasing GL and thread resources owned by RenderThread
      (LP: #1319582)

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Fri, 12 Dec 2014 14:42:44 -0200

android (20141117-0039-0ubuntu4) vivid; urgency=medium

  * No change rebuild to pick up libhybris changes.

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Mon, 08 Dec 2014 16:48:33 -0200

android (20141117-0039-0ubuntu3) vivid; urgency=medium

  * No change rebuild to pick up libhybris changes.

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Tue, 25 Nov 2014 15:13:33 -0200

android (20141117-0039-0ubuntu2) vivid; urgency=medium

  * No change rebuild to pick up initramfs changes.

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Tue, 18 Nov 2014 22:21:39 -0200

android (20141117-0039-0ubuntu1) vivid; urgency=medium

  * New upstream release:
    - Checking partitions and filesystems when updating (LP: #1387214)
  * Dropping changing_series_to_vivid.patch and
    fixing-adb-lock-inhibition.patch, both already upstream

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Mon, 17 Nov 2014 11:21:45 -0200

android (20141104-2240-0ubuntu4) vivid; urgency=medium

  * No change rebuild to pick up initramfs changes.

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Tue, 11 Nov 2014 20:38:23 -0200

android (20141104-2240-0ubuntu3) vivid; urgency=medium

  * debian/patches/fixing-adb-lock-inhibition.patch:
    - Fixing function call for adb lock/unlock

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Mon, 10 Nov 2014 11:11:28 -0200

android (20141104-2240-0ubuntu2) utopic; urgency=medium

  * No change rebuild to pick up libhybris changes.

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Wed, 05 Nov 2014 21:46:22 -0200

android (20141104-2240-0ubuntu1) utopic; urgency=medium

  * New upstream release:
    - Adding hook in recovery to force adb by default when flashing
      a new image

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Wed, 05 Nov 2014 03:04:54 -0200

android (20140922-1903-0ubuntu7) vivid; urgency=medium

  * debian/patches/changing_series_to_vivid.patch:
    - Forcing vivid when downloading the initrd and kernel packages

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Fri, 31 Oct 2014 01:59:36 -0400

android (20140922-1903-0ubuntu6) vivid; urgency=medium

  * Disabling PPA address as we're not landing this via a silo.

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Fri, 31 Oct 2014 01:31:21 -0400

android (20140922-1903-0ubuntu5) vivid; urgency=medium

  * No change rebuild to pick up libhybris changes.

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Thu, 30 Oct 2014 23:05:35 -0400

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
   zip, unzip, curl, libncurses5-dev, x11proto-core-dev,
   libx11-dev, libreadline6-dev, libgl1-mesa-glx,
   libsdl-dev, libesd0-dev,
-  libgl1-mesa-dev, mingw32, tofrodos, bsdiff,
+  libgl1-mesa-dev, g++-mingw-w64-i686, tofrodos, bsdiff,
   python-markdown, libxml2-utils, xsltproc, zlib1g-dev, schedtool,
   patchutils, quilt, lsb-release, android-src-vendor (>= 6)
 Standards-Version: 3.9.4

=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,7 @@
 #export https_proxy=http://127.0.9.1:9
 
 # Required when landing via a silo
-LANDING_URL = http://ppa.launchpad.net/ci-train-ppa-service/landing-003/ubuntu
+LANDING_URL = http://ppa.launchpad.net/ci-train-ppa-service/landing-002/ubuntu
 ifeq ($(wildcard /CurrentlyBuilding),)
 MAIN_URL  = http://archive.ubuntu.com/ubuntu
 PORTS_URL = http://ports.ubuntu.com
@@ -23,7 +23,9 @@
 getkernel = $(shell egrep "^$(1)\s" debian/android-targets | awk -F' ' '{print $$3}')
 getarch = $(shell egrep "^$(1)\s" debian/android-targets | awk -F' ' '{print $$4}')
 
-dist=$(DEB_DISTRIBUTION)
+# Forcing dist to vivid as we're still building this package on a utopic PPA (arch:all needs amd64 on vivid)
+# dist=$(DEB_DISTRIBUTION)
+dist=vivid
 
 export BUILD_ID=$(dist)
 export BUILD_NUMBER=$(DEB_VERSION)
@@ -123,7 +125,6 @@
 		out/host/linux-x86/bin/simg2img \
 		out/host/linux-x86/lib/ \
 		out/host/linux-x86/usr/ \
-		out/host/linux-x86/framework/ \
 		development/tools/emulator/skins \
 		| tar -C debian/ubuntu-emulator-runtime/usr/share/android/emulator/ -x
 	# ubuntu-emulator-images images/data
